Skip to main content
GET
/
contacts
List all contacts
curl --request GET \
  --url https://{your-subdomain}.neetocrm.com/api/external/v1/contacts \
  --header 'X-Api-Key: <x-api-key>'
{
  "contacts": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Eve",
      "email": "eve@example.com",
      "phone_number": "",
      "created_at": "2025-03-15T10:30:00.000Z",
      "updated_at": "2025-03-15T10:30:00.000Z",
      "owner": null,
      "tags": [],
      "company": {
        "id": null,
        "name": null
      }
    },
    {
      "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "name": "Oliver",
      "email": "oliver@example.com",
      "phone_number": "+1555123456",
      "created_at": "2025-03-14T14:22:00.000Z",
      "updated_at": "2025-03-14T14:22:00.000Z",
      "owner": null,
      "tags": [],
      "company": {
        "id": null,
        "name": null
      }
    }
  ],
  "pagination": {
    "total_records": 42,
    "total_pages": 2,
    "current_page_number": 1,
    "page_size": 30
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying your subdomain.

Headers

X-Api-Key
string
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Query Parameters

page_number
integer

Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.

page_size
integer

Set the number of results returned in the response. Defaulting to 30 when omitted.

Response

200 - application/json

Successfully retrieved contacts.

contacts
object[]

List of contacts.

pagination
object